%function gather(Img,Qual);

%gather implies summing the 2 Imgs.
%
%	Img defines the Image
%	Qual defines the Quality of the JPEG compression.
%  this parameter is only used as a label for the figure. 


function gather(Img,Qual);

global ORIGINAL_PIC;		% holds the original Img which is in gray levels
global MORPH_PIC;			% holds the Img after the morphological operators

Img=imread(Img);    %Reading RGB picture into matrice 

gray_im=256*mat2gray(im2double(Img),[0,1]);    %converting gray scale picture into Intencity matrice 

tif_image=imread('new_gif.tif'); %Reading RGB picture into matrice 
tif_image_gray=256*mat2gray(im2double(tif_image),[0,1]);    %converting gray scale picture into Intencity matrice 

final=tif_image_gray+(gray_im-128.5)*2;

figure;
colormap('gray');
imagesc(final);
title('The image after openning the compressed pictures');
ylabel(Qual);
pixval on;

% calculating error parameter
MSE_jpeg_gif = mse(ORIGINAL_PIC - final)
