function flag=neighbor(row,col)

%neighbor. 
%
% the function checks if a pixel is similiar to his
% upper neighbour, left neighbour, both or none.
%
%	row defines the row of the current checked pixel.
%	col defines the col of the current checked pixel.



global DIFF_PARAM;
global MORPH_PIC;

% if the given pixel is similiar to the pixel left to him => left=1
% a pixel is similiar to another pixel if the diffrence
% between them is less than DIFF_PARAM no. of gray scales.
if col==1
   left=0;
elseif abs(MORPH_PIC(row,col)-MORPH_PIC(row,col-1))<=DIFF_PARAM
   left=1;
else
   left=0;
end;


% if the given pixel is similiar to the pixel left to him => up=1
% a pixel is similiar to another pixel if the diffrence
% between them is less than DIFF_PARAM no. of gray scales.
if row==1
   up=0;
elseif abs(MORPH_PIC(row,col)-MORPH_PIC(row-1,col))<=DIFF_PARAM
    up=1;
else
   up=0;
end;
  
  if left==0 & up==0 
     flag=0;
     return;   
  end;
  
  if left==0 & up==1 
     flag=1;
     return;   
  end;
  
  if left==1 & up==0 
     flag=2;
     return;   
  end;
  
  if left==1 & up==1 
     flag=3;
     return;   
  end;  
